This page was created by the IDL library routine `mk_html_help2`.

Last modified: Sat Jul 26 18:17:38 2025.

# Directory Listing of Routines

# projects/dscovr/load

- DSC_LOAD_ALL
- DSC_LOAD_ATT
- DSC_LOAD_FC
- DSC_LOAD_MAG
- DSC_LOAD_OR

# Routine Descriptions

## DSC_LOAD_ALL

[Next Routine] [List of Routines]

    NAME: DSC_LOAD_ALL

    DESCRIPTION:
     Loads all DSCOVR data products

    KEYWORDS: (Optional)
     DOWNLOADONLY: Set to download files but *not* store data in TPLOT.
     KEEP_BAD:     Set to keep quality flag variable and flagged data in the data arrays
     NO_DOWNLOAD:  Set to use only locally available files. Default is !dsc config.
     NO_UPDATE:    Set to only download new filenames. Default is !dsc config.
     TRANGE=:      Time range of interest stored as a 2 element array of
                     doubles (as output by timerange()) or strings (as accepted by timerange()).
                     Defaults to the range set in tplot or prompts for date if not yet set.
     VERBOSE=:     Integer indicating the desired verbosity level.  Defaults to !dsc.verbose

    KEYWORD OUTPUTS:
     TPLOTNAMES=: Named variable to hold array of TPLOT variable names loaded

    EXAMPLE:
    		dsc_load_all
    		dsc_load_all,trange=['2017-01-02/00:00:00','2017-01-03/12:00:00'],tplotnames=tn

    CREATED BY: Ayris Narock (ADNET/GSFC) 2017

     $LastChangedBy: nikos $
     $LastChangedDate: 2018-03-12 09:55:28 -0700 (Mon, 12 Mar 2018) $
     $LastChangedRevision: 24869 $
     $URL: svn+ssh://thmsvn@ambrosia.ssl.berkeley.edu/repos/spdsoft/trunk/projects/dscovr/load/dsc_load_all.pro $

(See projects/dscovr/load/dsc_load_all.pro)

## DSC_LOAD_ATT

[Previous Routine] [Next Routine] [List of Routines]

    NAME: DSC_LOAD_ATT

    DESCRIPTION:
     Loads DSCOVR Attitude data

    KEYWORDS: (Optional)
     DOWNLOADONLY: Set to download files but *not* store data in TPLOT.
     NO_DOWNLOAD:  Set to use only locally available files. Default is !dsc config.
     NO_UPDATE:    Set to only download new filenames. Default is !dsc config.
     TRANGE=:      Time range of interest stored as a 2 element array of
                     doubles (as output by timerange()) or strings (as accepted by timerange()).
                     Defaults to the range set in tplot or prompts for date if not yet set.
     VARFORMAT=:   Specify a subset of variables to store
     VERBOSE=:     Integer indicating the desired verbosity level.  Defaults to !dsc.verbose

    KEYWORD OUTPUTS:
     TPLOTNAMES=: Named variable to hold array of TPLOT variable names loaded

    EXAMPLE:
    		dsc_load_att
    		dsc_load_att,trange=['2017-01-01','2017-01-02']),verbose=2

    CREATED BY: Ayris Narock (ADNET/GSFC) 2017

     $LastChangedBy: nikos $
     $LastChangedDate: 2018-03-12 09:55:28 -0700 (Mon, 12 Mar 2018) $
     $LastChangedRevision: 24869 $
     $URL: svn+ssh://thmsvn@ambrosia.ssl.berkeley.edu/repos/spdsoft/trunk/projects/dscovr/load/dsc_load_att.pro $

(See projects/dscovr/load/dsc_load_att.pro)

## DSC_LOAD_FC

[Previous Routine] [Next Routine] [List of Routines]

    NAME: DSC_LOAD_FC

    DESCRIPTION:
     Loads DSCOVR Faraday Cup data

    KEYWORDS: (Optional)
     DOWNLOADONLY: Set to download files but *not* store data in TPLOT.
     KEEP_BAD:     Set to keep quality flag variable and flagged data in the data arrays
     NO_DOWNLOAD:  Set to use only locally available files. Default is !dsc config.
     NO_UPDATE:    Set to only download new filenames. Default is !dsc config.
     TRANGE=:      Time range of interest stored as a 2 element array of
                     doubles (as output by timerange()) or strings (as accepted by timerange()).
                     Defaults to the range set in tplot or prompts for date if not yet set.
     TYPE=:        Data type (string)
                     Valid options:
                     'h1': 1-minute Isotropic Maxwellian parameters for solar wind protons (default)
     VARFORMAT=:   Specify a subset of variables to store
     VERBOSE=:     Integer indicating the desired verbosity level.  Defaults to !dsc.verbose

    KEYWORD OUTPUTS:
     TPLOTNAMES=: Named variable to hold array of TPLOT variable names loaded

    EXAMPLE:
    		dsc_load_fc
    		dsc_load_fc,varformat='*THERMAL*',/keep
    		dsc_load_fc,trange=['2016-08-15','2016-08-17'],/downloadonly

    CREATED BY: Ayris Narock (ADNET/GSFC) 2017

     $LastChangedBy: nikos $
     $LastChangedDate: 2018-03-12 09:55:28 -0700 (Mon, 12 Mar 2018) $
     $LastChangedRevision: 24869 $
     $URL: svn+ssh://thmsvn@ambrosia.ssl.berkeley.edu/repos/spdsoft/trunk/projects/dscovr/load/dsc_load_fc.pro $

(See projects/dscovr/load/dsc_load_fc.pro)

## DSC_LOAD_MAG

[Previous Routine] [Next Routine] [List of Routines]

    NAME: DSC_LOAD_MAG

    DESCRIPTION:
     Loads DSCOVR Fluxgate Magnetometer data

    KEYWORDS: (Optional)
     DOWNLOADONLY: Set to download files but *not* store data in TPLOT.
     KEEP_BAD:     Set to keep quality flag variable and flagged data in the data arrays
     NO_DOWNLOAD:  Set to use only locally available files. Default is !dsc config.
     NO_UPDATE:    Set to only download new filenames. Default is !dsc config.
     TRANGE=:      Time range of interest stored as a 2 element array of
                     doubles (as output by timerange()) or strings (as accepted by timerange()).
                     Defaults to the range set in tplot or prompts for date if not yet set.
     TYPE=:        Data type (string)
                     Valid options:
                     'h0': 1-sec Definitive Data (default)
     VARFORMAT=:   Specify a subset of variables to store
     VERBOSE=:     Integer indicating the desired verbosity level.  Defaults to !dsc.verbose

    KEYWORD OUTPUTS:
     TPLOTNAMES=: Named variable to hold array of TPLOT variable names loaded

    EXAMPLES:
    		dsc_load_mag
    		dsc_load_mag,varformat='*GSE*',/keep
    		dsc_load_mag,trange=['2016-08-15','2016-08-17'],/downloadonly

    CREATED BY: Ayris Narock (ADNET/GSFC) 2017

     $LastChangedBy: nikos $
     $LastChangedDate: 2018-03-12 09:55:28 -0700 (Mon, 12 Mar 2018) $
     $LastChangedRevision: 24869 $
     $URL: svn+ssh://thmsvn@ambrosia.ssl.berkeley.edu/repos/spdsoft/trunk/projects/dscovr/load/dsc_load_mag.pro $

(See projects/dscovr/load/dsc_load_mag.pro)

## DSC_LOAD_OR

[Previous Routine] [List of Routines]

    NAME: DSC_LOAD_OR

    DESCRIPTION:
     Loads DSCOVR Ephemeris data

    KEYWORDS: (Optional)
     DOWNLOADONLY: Set to download files but *not* store data in TPLOT.
     NO_DOWNLOAD:  Set to use only locally available files. Default is !dsc config.
     NO_UPDATE:    Set to only download new filenames. Default is !dsc config.
     TRANGE=:      Time range of interest stored as a 2 element array of
                     doubles (as output by timerange()) or strings (as accepted by timerange()).
                     Defaults to the range set in tplot or prompts for date if not yet set.
     VARFORMAT=:   Specify a subset of variables to store
     VERBOSE=:     Integer indicating the desired verbosity level.  Defaults to !dsc.verbose

    KEYWORD OUTPUTS:
     TPLOTNAMES=: Named variable to hold array of TPLOT variable names loaded

    EXAMPLE:
    		dsc_load_or
    		dsc_load_or,trange=['2017-01-01','2017-01-02'])

    CREATED BY: Ayris Narock (ADNET/GSFC) 2017

     $LastChangedBy: nikos $
     $LastChangedDate: 2018-03-12 09:55:28 -0700 (Mon, 12 Mar 2018) $
     $LastChangedRevision: 24869 $
     $URL: svn+ssh://thmsvn@ambrosia.ssl.berkeley.edu/repos/spdsoft/trunk/projects/dscovr/load/dsc_load_or.pro $

(See projects/dscovr/load/dsc_load_or.pro)